
Testing - Bug # 3822

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category:
Created: 2009-07-02 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
Subject: Testrunner  executes tests of inactive packages
Description

The package selector in FLOW3s testrunner displays inactive packages. And when "run all tests" is selected, tests from inactive
packages are executed.
This is a feature not a bug I'd say. The problem: The autoloader does not work for classes of inactive packages.

Associated revisions
Revision 68f2fa88 - 2009-07-24 17:55 - Karsten Dambekalns

[+BUGFIX] Testing: Inactive packages are no longer included in tests, fixes #3822.

History
#1 - 2009-07-06 14:52 - Robert Lemke
- Priority changed from Should have to Must have

#2 - 2009-07-13 10:29 - Robert Lemke
- Target version changed from 283 to 1.0 alpha 3

#3 - 2009-07-13 10:30 - Robert Lemke
- Priority changed from Must have to Should have

#4 - 2009-07-24 17:45 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

On the contrary, tests should only be run for active packages.

#5 - 2009-07-27 11:04 - Karsten Dambekalns
- Project changed from TYPO3.Flow to Testing
- Category deleted (- Testing -)
- Target version deleted (1.0 alpha 3)

#6 - 2009-07-27 11:06 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Resolved as of r2886
